List Accessible Form Submission Webhooks
Lists all form submission webhooks for a specific form, that are accessible to the current user
GET/api/restricted/form/{formId}/submissionwebhook
curl --request GET 'https://api.globalpatron.com/api/restricted/form/{3b3d22e4-43a9-4a0a-a4d7-54174059ef96}/submissionwebhook' \
--header 'TokenId: XXXXX' \
--header 'TokenSecret: XXXXX'
Response 200 OK
[
{
"created_by_user_id": "google.com|a3c770ec-cf90-4b8d-a024-dc6c472264d4",
"form_id": "dd066a86-b4db-4e85-a5fd-3e13ff96f098",
"webhook_name": "Another form submission webhook",
"webhook_destination_url": "https://another-api-endpoint.com/test/",
"http_header_key": "YourOptionalHeaderKey",
"http_header_value": "YourOptionalHeaderValue",
"id": "edd9b3fa-eb72-4c64-9878-831b2db63a3b",
"created_date_utc": "2023-10-30T11:02:22.8266842Z",
"modified_date_utc": "0001-01-01T00:00:00"
},
{
"created_by_user_id": "google.com|a3c770ec-cf90-4b8d-a024-dc6c472264d4",
"form_id": "dd066a86-b4db-4e85-a5fd-3e13ff96f098",
"webhook_name": "My new form submission webhook",
"webhook_destination_url": "https://your-api-endpoint.com/",
"http_header_key": "YourOptionalHeaderKey",
"http_header_value": "YourOptionalHeaderValue",
"id": "f6340abe-0e09-49d8-bcfd-49e3451b6ceb",
"created_date_utc": "2023-10-30T10:13:59.3111702Z",
"modified_date_utc": "0001-01-01T00:00:00"
}
]
Add Form Submission Webhook
Defines a new webhook to be called each time a new form submission is made
POST/api/restricted/form/{formId}/submissionwebhook
curl --request POST https://api.globalpatron.com/api/restricted/form/{3b3d22e4-43a9-4a0a-a4d7-54174059ef96}/submissionwebhook' \
--header 'TokenId: XXXXX' \
--header 'TokenSecret: XXXXX' \
--header 'Content-Type: application/json' \
--data '{ JSON_PAYLOAD_HERE }'
Response 200 OK
{
"id": "f6340abe-0e09-49d8-bcfd-49e3451b6ceb",
"message": "Form submission webhook added successfully",
"action_successful": true,
"error": ""
}
Delete Form Submission Webhook
Deletes an existing form submission webhook
DELETE
/api/restricted/form/{formId}/submissionwebhook/{submissionwebhookId}
curl --request DELETE 'https://api.globalpatron.com/api/restricted/form/{dd066a86-b4db-4e85-a5fd-3e13ff96f098}/submissionwebhook/{a3405183-3efb-4dd0-8209-8de7c3b90190}' \
--header 'TokenId: XXXXX' \
--header 'TokenSecret: XXXXX'
Response 200 OK
{
"id": "",
"message": "Form submission webhook removed successfully",
"action_successful": true,
"error": ""
}